tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From eddie tsai <t...@medusa.nn.com>
Subject Re: problem upgrading to tomcat4.0 from tomcat3.2
Date Wed, 21 Feb 2001 23:39:44 GMT
i am using tomcat 4.0 milestone 5. suggestion on which version i should
get?

thanks,

eddie
--

On Wed, 21 Feb 2001, Craig R. McClanahan wrote:

> eddie tsai wrote:
> 
> > hi,
> >
> > i am upgrading from tomcat3.2 to tomcat4.0. the same servlets that
> > worked with tomcat3.2 don't work with tomcat4.0 anymore. specifically,
> > it tells me that my servlets aren't servlets. the root cause was that it
> > had problem while casting. my servlet extends GenericServlet. my
> > servlets are located in a different directory (not in the classes
> > directory), would that cause the problem? it looks like it could find
> > the servlet but could not accept it as a servlet.
> >
> > did anyone encounter that problem when upgrading? how did you solve it?
> >
> 
> Which build of Tomcat 4.0 are you trying this with.  There were problems similar to this
> prior to 4.0-beta-1 but they have been fixed in recent nightly builds.
> 
> >
> > thanks,
> >
> > eddie
> >
> 
> Craig McClanahan
> 
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
> For additional commands, email: tomcat-user-help@jakarta.apache.org
> 


Mime
View raw message